Get all answers for a submission Run in API Explorer
Ask AI
GET
/api/v1/form/{form_uuid}/submission/{submission_uuid}/answer
curl \
--request GET 'https://api.plannrcrm.com/api/v1/form/6ff8f7f6-1eb3-3525-be4a-3932c805afed/submission/6ff8f7f6-1eb3-3525-be4a-3932c805afed/answer' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
{
"uuid": "bf557c93-84f9-40bc-98d9-dc5e5ca91c67",
"created_at": "2026-11-16T13:00:51+00:00",
"updated_at": "2026-11-16T13:00:51+00:00",
"value": "this as an answer to a form question",
"question": {
"uuid": "bcef61f3-da5a-4e40-80f6-2e3a09809dab",
"created_at": "2026-11-16T13:00:51+00:00",
"updated_at": "2026-11-16T13:00:51+00:00",
"section": {
"uuid": "40d5e399-dd36-4d3f-b14f-062974d05cfe",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"title": "Personal Details",
"position": 1
},
"title": "What is your name?",
"help_text": "Gareth",
"caption": "Your full legal name",
"type": "string",
"required": true,
"position": 1,
"selection_options": [
"option 1",
"option 2"
],
"target_field": "name",
"key": "what_is_your_name",
"linked_question": {
"type": "selection",
"field": "gender",
"label": "Gender",
"formatted_field": "Gender",
"selection_options": [
"male",
"female",
"non-binary",
"transgender",
"intersex",
"other",
"unknown"
],
"is_custom_field": false,
"forced_required": false,
"caption": "Your drink preference"
},
"linked_primary": true
}
}
]
}